/**
 * Day format values for DateFormatter.
 * @public
 */
export declare const DayFormat: {
    readonly "2-digit": "2-digit";
    readonly numeric: "numeric";
};
/**
 * Day format type for DateFormatter.
 * @public
 */
export declare type DayFormat = typeof DayFormat[keyof typeof DayFormat];
/**
 * Weekday format values for DateFormatter.
 * @public
 */
export declare const WeekdayFormat: {
    readonly long: "long";
    readonly narrow: "narrow";
    readonly short: "short";
};
/**
 * Weekday format type for DateFormatter.
 * @public
 */
export declare type WeekdayFormat = typeof WeekdayFormat[keyof typeof WeekdayFormat];
/**
 * Month format values for DateFormatter.
 * @public
 */
export declare const MonthFormat: {
    readonly "2-digit": "2-digit";
    readonly numeric: "numeric";
    readonly short: "short";
    readonly long: "long";
    readonly narrow: "narrow";
};
/**
 * Month format type for DateFormatter.
 * @public
 */
export declare type MonthFormat = typeof MonthFormat[keyof typeof MonthFormat];
/**
 * Year format values for DateFormatter.
 * @public
 */
export declare const YearFormat: {
    readonly "2-digit": "2-digit";
    readonly numeric: "numeric";
};
/**
 * Year format type for DateFormatter.
 * @public
 */
export declare type YearFormat = typeof YearFormat[keyof typeof YearFormat];
