import { ElementViewTemplate } from "@microsoft/fast-element";
import { TemplateElementDependency } from "../patterns/tag-for.js";
import type { FASTTooltip } from "./tooltip.js";
/**
 * Options for the tooltip.
 * @public
 */
export declare type TooltipOptions = {
    anchoredRegion: TemplateElementDependency;
};
/**
 * Creates a template for the {@link @microsoft/fast-foundation#(FASTTooltip:class)} component using the provided prefix.
 * @public
 */
export declare function tooltipTemplate<T extends FASTTooltip>(options: TooltipOptions): ElementViewTemplate<T>;
