import { html } from "@microsoft/fast-element";
/**
 * The template for the {@link @microsoft/fast-foundation#FASTFlipper} component.
 * @public
 */
export function flipperTemplate(options = {}) {
    const templateCache = {};
    function setFlipperTemplateByDirection(direction, options) {
        var _a;
        let existing = templateCache[direction];
        if (!existing) {
            templateCache[direction] = existing = html `
                <span part="${direction}" class="${direction}">
                    <slot name="${direction}">
                        ${(_a = options[direction]) !== null && _a !== void 0 ? _a : ""}
                    </slot>
                </span>
            `;
        }
        return existing;
    }
    return html `
        <template
            role="button"
            aria-disabled="${x => (x.disabled ? true : void 0)}"
            tabindex="${x => (x.hiddenFromAT ? -1 : 0)}"
            @keyup="${(x, c) => x.keyupHandler(c.event)}"
        >
            ${x => setFlipperTemplateByDirection(x.direction, options)}
        </template>
    `;
}
