import { elements, html, ref, slotted, when } from "@microsoft/fast-element";
import { endSlotTemplate, startSlotTemplate } from "../patterns/start-end.js";
/**
 * @public
 */
export function horizontalScrollTemplate(options = {}) {
    var _a, _b;
    return html `
        <template @keyup="${(x, c) => x.keyupHandler(c.event)}">
            ${startSlotTemplate(options)}
            <div class="scroll-area" part="scroll-area">
                <div
                    class="scroll-view"
                    part="scroll-view"
                    @scroll="${x => x.scrolled()}"
                    ${ref("scrollContainer")}
                >
                    <div
                        class="content-container"
                        part="content-container"
                        ${ref("content")}
                    >
                        <slot
                            ${slotted({
        property: "scrollItems",
        filter: elements(),
    })}
                        ></slot>
                    </div>
                </div>
                ${when(x => x.view !== "mobile", html `
                        <div
                            class="scroll scroll-prev"
                            part="scroll-prev"
                            ${ref("previousFlipperContainer")}
                        >
                            <div class="scroll-action" part="scroll-action-previous">
                                <slot name="previous-flipper">
                                    ${(_a = options.previousFlipper) !== null && _a !== void 0 ? _a : ""}
                                </slot>
                            </div>
                        </div>
                        <div
                            class="scroll scroll-next"
                            part="scroll-next"
                            ${ref("nextFlipperContainer")}
                        >
                            <div class="scroll-action" part="scroll-action-next">
                                <slot name="next-flipper">
                                    ${(_b = options.nextFlipper) !== null && _b !== void 0 ? _b : ""}
                                </slot>
                            </div>
                        </div>
                    `)}
            </div>
            ${endSlotTemplate(options)}
        </template>
    `;
}
