import { html, when } from "@microsoft/fast-element";
/**
 * The template for the {@link @microsoft/fast-foundation#FASTProgress} component.
 * @public
 */
export function progressTemplate(options = {}) {
    var _a, _b;
    return html `
        <template
            role="progressbar"
            aria-valuenow="${x => x.value}"
            aria-valuemin="${x => x.min}"
            aria-valuemax="${x => x.max}"
        >
            ${when(x => typeof x.value === "number", html `
                    <div class="progress" part="progress" slot="determinate">
                        <div
                            class="determinate"
                            part="determinate"
                            style="width: ${x => x.percentComplete}%"
                        ></div>
                    </div>
                `)}
            ${when(x => typeof x.value !== "number", html `
                    <div class="progress" part="progress" slot="indeterminate">
                        <slot name="indeterminate">
                            ${(_a = options.indeterminateIndicator1) !== null && _a !== void 0 ? _a : ""}
                            ${(_b = options.indeterminateIndicator2) !== null && _b !== void 0 ? _b : ""}
                        </slot>
                    </div>
                `)}
        </template>
    `;
}
